Subject: Re: indent-for-tab-command not ready for GNUmakefile mode

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Wed, 06 Nov 2019 07:27:24 +0800

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> 積丹尼 Dan Jacobson <[email-masked]> writes:

>> TAB (translated from <tab>) runs the command indent-for-tab-command
>> 
>> However it ruins Makefiles.
>> 
>> C-x h TAB wipes out all indentation.
>> 
>> I don't know what it should do. All I know is it shouldn't wipe out all
>> indentation.

LI> If I try `C-x h TAB' in Emacs 27, it just inserts a TAB character.  Is
LI> there something else needed to reproduce the bug?

Yes.
Somebody else's makefile. The bigger the better.
Not an empty makefile.
You are testing on an empty makefile. Don't.